/**
 * MySDL - A multimedia framework based on SDL and OpenGL
 * Copyright (C) 2006 Marian Schedenig (marian@musgit.com)
 * http://www.musgit.com/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "slider.h"
#include "standard.h"
#include "xml.h"

namespace mysdl
{
	namespace gui
	{
		// ================================================================
		//  Slider
		// ================================================================

		/*
		 * See header file for documentation.
		 */
		template<> SliderButtons strTo<SliderButtons>(std::string str)
		{
			if(str=="none")
			{
				return(mysdl::gui::sbNone);
			}
			else if(str=="dec")
			{
				return(mysdl::gui::sbDec);
			}
			else if(str=="inc")
			{
				return(mysdl::gui::sbInc);
			}
			else if(str=="both")
			{
				return(mysdl::gui::sbBoth);
			}
			else
			{
				throw(str);
			}
		}
	};
};
