/**
 * MySDL - A multimedia framework based on SDL and OpenGL
 * Copyright (C) 2006 Marian Schedenig (marian@musgit.com)
 * http://www.musgit.com/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <math.h>
#include <time.h>

#include "math.h"

namespace mysdl
{
	void randomize()
	{
		srand(unsigned(time(NULL)));
	}

	GLfloat random(GLfloat max)
	{
		return(((GLfloat)(rand()))/((GLfloat)(RAND_MAX))*max);
	}

	GLfloat random(GLfloat min,GLfloat max)
	{
		return(min+random(max-min));
	}

	int random_int(int min,int max)
	{
    return(min+(int)(((double)(max-min+1))*rand()/(RAND_MAX+1.0)));
	}

	int random_int(int max)
	{
		return(random_int(0,max));
	}

	int random(int min,int max)
	{
    return(min+(int)(((double)(max-min+1))*rand()/(RAND_MAX+1.0)));
	}

	int random(int max)
	{
		return(random(0,max));
	}
};
